<?php
/**
 * @version $Id: AbstractAction.class.php 679 2012-08-20 12:41:35Z hodaka $
 * @package myuploader
 */

if(!defined('XOOPS_ROOT_PATH'))
{
    exit;
}

/**
 * Myuploader_AbstractAction
**/
class Myuploader_AbstractAction
{
    /**
     * @var  XCube_Root
     * 
     * @public
    **/
    var $mRoot = null;

    /**
     * @var  Myuploader_Module
     * 
     * @public
    **/
    var $mModule = null;

    /**
     * @var  Myuploader_AssetManager
     * 
     * @public
    **/
    var $mAsset = null;

    /**
     * @var  Myuploader_Global
     * 
     * @public
    **/
    var $mModuleGlobal = null;

    /**
     * Myuploader_AbstractAction
     * 
     * @param   void
     * 
     * @return  void
     * 
     * @public
    **/
    function Myuploader_AbstractAction()
    {
        $this->mRoot = XCube_Root::getSingleton();
        $this->mModule =& $this->mRoot->mContext->mModule;
        $this->mAsset =& $this->mModule->mAssetManager;

        // to prepend functions of myuploader
//        $this->mModuleGlobal =& Myuploader_Global::getInstance($this->mAsset->mDirname);
        XCube_DelegateUtils::call('Module.myuploader.Event.GetModuleGlobal', new XCube_Ref($this->mModuleGlobal), $this->mAsset->mDirname);        
    }

    /**
     * isMemberOnly
     * 
     * @param   void
     * 
     * @return  bool
     * 
     * @public
    **/
    function isMemberOnly()
    {
        return false;
    }

    /**
     * isAdminOnly
     * 
     * @param   void
     * 
     * @return  bool
     * 
     * @public
    **/
    function isAdminOnly()
    {
        return false;
    }

    /**
     * prepare
     * 
     * @param   void
     * 
     * @return  bool
     * 
     * @public
    **/
    function prepare()
    {
        return true;
    }

    /**
     * hasPermission
     * 
     * @param   void
     * 
     * @return  bool
     * 
     * @public
    **/
    function hasPermission()
    {
        return true;
    }

    /**
     * getDefaultView
     * 
     * @param   void
     * 
     * @return  Enum
     * 
     * @public
    **/
    function getDefaultView()
    {
        return MYUPLOADER_FRAME_VIEW_NONE;
    }

    /**
     * execute
     * 
     * @param   void
     * 
     * @return  Enum
     * 
     * @public
    **/
    function execute()
    {
        return MYUPLOADER_FRAME_VIEW_NONE;
    }

    /**
     * executeViewSuccess
     * 
     * @param   XCube_RenderTarget  &$render
     * 
     * @return  void
     * 
     * @public
    **/
    function executeViewSuccess(&$render)
    {
    }

    /**
     * executeViewError
     * 
     * @param   XCube_RenderTarget  &$render
     * 
     * @return  void
     * 
     * @public
    **/
    function executeViewError(&$render)
    {
    }

    /**
     * executeViewIndex
     * 
     * @param   XCube_RenderTarget  &$render
     * 
     * @return  void
     * 
     * @public
    **/
    function executeViewIndex(&$render)
    {
    }

    /**
     * executeViewInput
     * 
     * @param   XCube_RenderTarget  &$render
     * 
     * @return  void
     * 
     * @public
    **/
    function executeViewInput(&$render)
    {
    }

    /**
     * executeViewPreview
     * 
     * @param   XCube_RenderTarget  &$render
     * 
     * @return  void
     * 
     * @public
    **/
    function executeViewPreview(&$render)
    {
    }

    /**
     * executeViewCancel
     * 
     * @param   XCube_RenderTarget  &$render
     * 
     * @return  void
     * 
     * @public
    **/
    function executeViewCancel(&$render)
    {
    }
}

?>